ISCSI_BLOCK_SCSI_EH(9)

NAME
iscsi_block_scsi_eh - block scsi eh until session state has transistioned

SYNOPSIS

int iscsi_block_scsi_eh(struct scsi_cmnd * cmd);

ARGUMENTS

cmd
    scsi cmd passed to scsi eh handler

DESCRIPTION

If the session is down this function will wait for the recovery timer to fire or for the session to be logged back in. If the recovery timer fires then FAST_IO_FAIL is returned. The caller should pass this error value to the scsi eh.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT